Open CASCADE Technology: Extrema_Curve2dTool Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
Extrema_Curve2dTool Class Reference

`#include <Extrema_Curve2dTool.hxx>`

## Static Public Member Functions
static Standard_Real | FirstParameter (const Adaptor2d_Curve2d &C)
static Standard_Real | LastParameter (const Adaptor2d_Curve2d &C)
static GeomAbs_Shape | Continuity (const Adaptor2d_Curve2d &C)
static Standard_Integer | NbIntervals (const Adaptor2d_Curve2d &C, const GeomAbs_Shape S)
| If necessary, breaks the curve in intervals of continuity <S>. And returns the number of intervals. More...
static void | Intervals (const Adaptor2d_Curve2d &C, TColStd_Array1OfReal &T, const GeomAbs_Shape S)
| Stores in <T> the parameters bounding the intervals of continuity <S>. More...
static Standard_Boolean | IsClosed (const Adaptor2d_Curve2d &C)
static Standard_Boolean | IsPeriodic (const Adaptor2d_Curve2d &C)
static Standard_Real | Period (const Adaptor2d_Curve2d &C)
static gp_Pnt2d | Value (const Adaptor2d_Curve2d &C, const Standard_Real U)
| Computes the point of parameter U on the curve. More...
static void | D0 (const Adaptor2d_Curve2d &C, const Standard_Real U, gp_Pnt2d &P)
| Computes the point of parameter U on the curve. More...
static void | D1 (const Adaptor2d_Curve2d &C, const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &V)
| Computes the point of parameter U on the curve with its first derivative. More...
static void | D2 (const Adaptor2d_Curve2d &C, const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &V1, gp_Vec2d &V2)
| Returns the point P of parameter U, the first and second derivatives V1 and V2. More...
static void | D3 (const Adaptor2d_Curve2d &C, const Standard_Real U, gp_Pnt2d &P, gp_Vec2d &V1, gp_Vec2d &V2, gp_Vec2d &V3)
| Returns the point P of parameter U, the first, the second and the third derivative. More...
static gp_Vec2d | DN (const Adaptor2d_Curve2d &C, const Standard_Real U, const Standard_Integer N)
| The returned vector gives the value of the derivative for the order of derivation N. More...
static Standard_Real | Resolution (const Adaptor2d_Curve2d &C, const Standard_Real R3d)
| Returns the parametric resolution corresponding to the real space resolution <R3d>. More...
static GeomAbs_CurveType | GetType (const Adaptor2d_Curve2d &C)
| Returns the type of the curve in the current interval : Line, Circle, Ellipse, Hyperbola, Parabola, BezierCurve, BSplineCurve, OtherCurve. More...
static gp_Lin2d | Line (const Adaptor2d_Curve2d &C)
static gp_Circ2d | Circle (const Adaptor2d_Curve2d &C)
static gp_Elips2d | Ellipse (const Adaptor2d_Curve2d &C)
static gp_Hypr2d | Hyperbola (const Adaptor2d_Curve2d &C)
static gp_Parab2d | Parabola (const Adaptor2d_Curve2d &C)
static Standard_Integer | Degree (const Adaptor2d_Curve2d &C)
static Standard_Boolean | IsRational (const Adaptor2d_Curve2d &C)
static Standard_Integer | NbPoles (const Adaptor2d_Curve2d &C)
static Standard_Integer | NbKnots (const Adaptor2d_Curve2d &C)
static Handle< Geom2d_BezierCurve > | Bezier (const Adaptor2d_Curve2d &C)
static Handle < Geom2d_BSplineCurve > | BSpline (const Adaptor2d_Curve2d &C)

## Member Function Documentation

static Handle< Geom2d_BezierCurve > Extrema_Curve2dTool::Bezier | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Handle< Geom2d_BSplineCurve > Extrema_Curve2dTool::BSpline | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static gp_Circ2d Extrema_Curve2dTool::Circle | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static GeomAbs_Shape Extrema_Curve2dTool::Continuity | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static void Extrema_Curve2dTool::D0 | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P
| ) |  |
| static

Computes the point of parameter U on the curve.

static void Extrema_Curve2dTool::D1 | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | V
| ) |  |
| static

Computes the point of parameter U on the curve with its first derivative.

static void Extrema_Curve2dTool::D2 | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | V1,
|  | gp_Vec2d & | V2
| ) |  |
| static

Returns the point P of parameter U, the first and second derivatives V1 and V2.

static void Extrema_Curve2dTool::D3 | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | gp_Pnt2d & | P,
|  | gp_Vec2d & | V1,
|  | gp_Vec2d & | V2,
|  | gp_Vec2d & | V3
| ) |  |
| static

Returns the point P of parameter U, the first, the second and the third derivative.

static Standard_Integer Extrema_Curve2dTool::Degree | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static gp_Vec2d Extrema_Curve2dTool::DN | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U,
|  | const Standard_Integer | N
| ) |  |
| static

The returned vector gives the value of the derivative for the order of derivation N.

static gp_Elips2d Extrema_Curve2dTool::Ellipse | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Real Extrema_Curve2dTool::FirstParameter | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static GeomAbs_CurveType Extrema_Curve2dTool::GetType | ( | const Adaptor2d_Curve2d & | C | ) |
| static

Returns the type of the curve in the current interval : Line, Circle, Ellipse, Hyperbola, Parabola, BezierCurve, BSplineCurve, OtherCurve.

static gp_Hypr2d Extrema_Curve2dTool::Hyperbola | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static void Extrema_Curve2dTool::Intervals | ( | const Adaptor2d_Curve2d & | C,
|  | TColStd_Array1OfReal & | T,
|  | const GeomAbs_Shape | S
| ) |  |
| static

Stores in <T> the parameters bounding the intervals of continuity <S>.

static Standard_Boolean Extrema_Curve2dTool::IsClosed | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Boolean Extrema_Curve2dTool::IsPeriodic | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Boolean Extrema_Curve2dTool::IsRational | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Real Extrema_Curve2dTool::LastParameter | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static gp_Lin2d Extrema_Curve2dTool::Line | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Integer Extrema_Curve2dTool::NbIntervals | ( | const Adaptor2d_Curve2d & | C,
|  | const GeomAbs_Shape | S
| ) |  |
| static

If necessary, breaks the curve in intervals of continuity <S>. And returns the number of intervals.

static Standard_Integer Extrema_Curve2dTool::NbKnots | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Integer Extrema_Curve2dTool::NbPoles | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static gp_Parab2d Extrema_Curve2dTool::Parabola | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Real Extrema_Curve2dTool::Period | ( | const Adaptor2d_Curve2d & | C | ) |
| static

static Standard_Real Extrema_Curve2dTool::Resolution | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | R3d
| ) |  |
| static

Returns the parametric resolution corresponding to the real space resolution <R3d>.

static gp_Pnt2d Extrema_Curve2dTool::Value | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Real | U
| ) |  |
| static

Computes the point of parameter U on the curve.

The documentation for this class was generated from the following file:

- Extrema_Curve2dTool.hxx